Subject: RE: FVWM: Using FvwmAnimate

From: "Steffl, Erik" <[email-masked]>
Date: Mon, 7 Feb 2000 10:43:38 -0600

when you start the fvwm, redirect it's stdout and stderr to a file, then
examine the content of the file. you might find an error message that gives
you a clue...

  also, check the restart function (RestartFunction)

  another possible problem: I don't know how fvwm tries to find fvwm (to
restart it), but if fvwm is not in the path there might be problems... or
something along those lines (as I do not know internals of fvwm, this might
be completely off the track).

	erik

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Subba Rao
> Sent: Saturday, February 05, 2000 9:41 AM
> To: Dan Espen
> Cc: FVWM Users
> Subject: Re: FVWM: Using FvwmAnimate
> 
> 
> On  0, Dan Espen <[email-masked]> wrote:
> > Subba Rao <[email-masked]> writes:
> > > 
> > > I am trying to use FvwmAnimate. These are the setting in 
> my .fvwm2rc
> > > 
> > > AddToFunc "InitFunction"
> > > +                           "I" Module FvwmAnimate
> > > 
> > > AddToFunc "RestartFunction"
> > > +                           "I" Module FvwmAnimate
> > > 
> > > *FvwmAnimateEffect Zoom3D
> > > *FvwmAnimateIterations 12
> > > *FvwmAnimateWidth 1
> > > *FvwmAnimateTwist 0.500000
> > > *FvwmAnimateDelay 1
> > > *FvwmAnimateColor Gold2
> > > 
> > > What is this module supposed to do? I have wide references to it's
> > > use but I do not see any extra functions from fvwm2. The 
> ModulePath
> > > is point to the right directory.
> > 
> > When you iconify or deiconify a window, FvwmAnimate draws 
> lines on the
> > root window between the window and the icon.
> > 
> > If you are using a 2.2 version of fvwm and you are using an 
> icon manager
> > instead of the root window icons, you won't see anything.
> > 
> > In the 2.3 betas, additional configuration would be needed 
> to get animation
> > with the icon managers.
> > 
> > If you have a very fast machine, you may have to increase 
> the line width
> > or iterations.  The effect may be going by too fast for you 
> to see anything.
> > Try a line width of 16 and work down.
> > 
> 
> I am using the IconManager, yet I don't see any on the 
> FvwmAnimate features.
> It could be because of the fvwm2 version 2.2.4.
> 
> When I try to restart my fvwm2 session, for the changes to 
> take effect, why
> is my fvwm session terminating?
> 
> Any clues please?
> 
> Subba Rao
> [email-masked]
> http://pws.prserv.net/truemax/
> 
>  => Time is relative. Here is a new way to look at time. <=
> http://www.smcinnovations.com
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].